Get Salt Resources

Get Salt Resources
Get all resources with their respective salt status

Get all resources with their respective salt status

Request
URI
GET
https://{api_host}/suite-api/api/salt/resources/statuses
COPY
Query Parameters
string
status
Optional

Minion Status

Possible values are : CONNECTED, DISCONNECTED, DISABLED, UNKNOWN,
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

Executed get all resources with their respective salt status

Returns ResourceSaltStatuses of type(s) application/json
{
    "links": [
        {
            "description": "string",
            "href": "string",
            "name": "string",
            "rel": "string"
        }
    ],
    "pageInfo": {
        "page": 0,
        "pageSize": 0,
        "sortBy": "string",
        "sortOrder": "string",
        "totalCount": 0
    },
    "resources": [
        {
            "minionId": "string",
            "resourceId": "string",
            "status": "string"
        }
    ]
}
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
resources
Optional

List of resource status entries for the current page.


400

Get Resources failed with errors

Operation doesn't return any data structure

500

Error while processing get all resources with their respective salt status

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/salt/resources/statuses